<?php

namespace Drupal\mollie;

use Drupal\Component\Plugin\Exception\InvalidPluginDefinitionException;
use Drupal\Component\Plugin\Exception\PluginNotFoundException;

/**
 * Class TransactionPermissions.
 *
 * @package Drupal\mollie
 */
class TransactionPermissions extends MollieEntityBasePermissions {

  /**
   * Returns permissions for operations on mollie_payment entities.
   *
   * @return array
   *   Array with permissions.
   */
  public function paymentPermissions(): array {
    try {
      $entityType = $this->entityTypeManager
        ->getStorage('mollie_payment')
        ->getEntityType();
      return $this->entityBasePermissions($entityType);
    }
    catch (InvalidPluginDefinitionException | PluginNotFoundException $e) {
      watchdog_exception('mollie', $e);
    }

    return [];
  }

}
